### Hierarchy

- IPieceControllerState

## Index

### Properties

- activeIds
- byId
- editorActive
- editorEnabled
- highlight
- hoveredId
- hoveredRect
- sourceId

## Properties

### Optional activeIds

activeIds: string[]

### byId

byId: {}

#### Type declaration

- ##### [id: string]: IPieceItem

### editorActive

editorActive: boolean

### editorEnabled

editorEnabled: Partial<Record<PieceType, boolean | undefined>>

### highlight

highlight: boolean

### Optional hoveredId

hoveredId: undefined | string

### Optional hoveredRect

hoveredRect: Rect

### Optional sourceId

sourceId: undefined | string

Generated using TypeDoc